import { fileURLToPath, URL } from 'url'
import { defineConfig, loadEnv } from 'vite'
import vue from '@vitejs/plugin-vue'

export default ({ mode }) => {
  // load app-level env vars to node-level env vars
  process.env = { ...process.env, ...loadEnv(mode, process.cwd()) }

  // https://vitejs.dev/config/
  return defineConfig({
    // https://vitejs.dev/config/#plugins
    plugins: [
      vue()
    ],
    resolve: {
      // https://vitejs.dev/config/#resolve-alias
      alias: {
        '@': fileURLToPath(new URL('./src', import.meta.url)), // @ is an alias to /src
      },
    },
    test: {
      include: ['./tests/unit/*.test.js'],
      environment: 'happy-dom'
    }
  })
}
